## org.codehaus.groovy.grails.test.report.junit
Class JUnitReports

    java.lang.Object
      org.codehaus.groovy.grails.test.report.junit.JUnitReports

All Implemented Interfaces:
  junit.framework.TestListener, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter, org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror

    public class JUnitReports

extends Object
implements org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter

Simply propagates to the underlying reports.

Field Summary
`protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[]` `reports`

Constructor Summary
`JUnitReports(org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[] reports)`

Method Summary
`void` `addError(junit.framework.Test test, Throwable t)`
`void` `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)`
`void` `endTest(junit.framework.Test test)`
`void` `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`
`void` `setOutput(OutputStream out)`
`void` `setSystemError(String err)`
`void` `setSystemOutput(String out)`
`void` `startTest(junit.framework.Test test)`
`void` `startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reports

    protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[] reports

Constructor Detail

### JUnitReports

    public JUnitReports(org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[] reports)

Method Detail

### setOutput

    public void setOutput(OutputStream out)

  Specified by:
    `setOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`
  Specified by:
    `setOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror`

### startTestSuite

    public void startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

  Specified by:
    `startTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### startTest

    public void startTest(junit.framework.Test test)

  Specified by:
    `startTest` in interface `junit.framework.TestListener`

### addError

    public void addError(junit.framework.Test test,
                         Throwable t)

  Specified by:
    `addError` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`

### endTest

    public void endTest(junit.framework.Test test)

  Specified by:
    `endTest` in interface `junit.framework.TestListener`

### setSystemError

    public void setSystemError(String err)

  Specified by:
    `setSystemError` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### setSystemOutput

    public void setSystemOutput(String out)

  Specified by:
    `setSystemOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### endTestSuite

    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

  Specified by:
    `endTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

Copyright (c) 2005-2009 The Grails project